2026
This changelog contains the changes that took place in 2026 in chronological order.
8 Jul 2026 v1.59
| Deployment Date | Environment |
|---|---|
| 4 Aug 2026 | UAT |
| 4 Aug 2026 | Production |
Modified endpoints:
- POST accounts/{account_id}/outgoing-credit-transfer - Send an outgoing payment from a customer account
- POST corporates/accounts/{corporate_account_id}/outgoing-credit-transfer - Send an outgoing payment from a customer account
-
The European Payments Council (EPC) is retiring the current unstructured/semi-structured address format in favour of a structured address format aligned with ISO 20022, effective November 15, 2026. We are updating
creditor.addressto match.What's changing
Current field Status New field(s) line_1replaced building_name,street_nameline_2replaced department,sub_departmentline_3replaced floor,room,post_boxcityretained citystatereplaced country_sub_divisioncountyreplaced district_namepostal_coderetained postal_codecountryretained country(new) added town_location_nameRequired vs optional
- New fields marked required:
city,postal_code,country - All others remain optional.
Example
Before:
{ "line_1": "11, High Street", "city": "Mellieha", "postal_code": "MLH0001", "country": "MLT" }After:
{ "street_name": "High Street", "building_number": "11", "city": "Mellieha", "postal_code": "MLH0001", "country": "MLT" } - New fields marked required:
-
17 Apr 2026 v1.58
| Deployment Date | Environment |
|---|---|
| 4 Aug 2026 | UAT |
| 4 Aug 2026 | Production |
Modified endpoints:
- POST /control/spend - Add a new control spend group
- PATCH /control/spend/{id} - Update a control spend group
- Get /control/spend/{id} - Retrieves a control spend group
- Property
periodicityin the request model is deprecated.
- Property
8 Jul 2026 v1.57
| Deployment Date | Environment |
|---|---|
| 8 Jul 2026 | UAT |
| 22 Jul 2026 | Production |
Modified webhook:
- POST Payment Status
- Add new value to the
schemeproperty:- 'SEPADirectDebit' — SEPA Direct Debit are available for recurring or one-off payments across the countries participating in the Single Euro Payments Area (SEPA)
- Add new value to the
transaction_typeproperty:- 'DirectDebit' — direct debit transaction type
- Property
inward_outwardwill be updated to optional:- This will affect webhooks when:
transaction_typeisResolutionOfInvestigationandschemeisSEPAortransaction_typeisDirectDebitandschemeisSEPADirectDebitortransaction_typeisCancelationandschemeisSEPADirectDebit
- This will affect webhooks when:
- Add new values to the
reason_codeproperty:- 'AC13' - Invalid debtor account type
- 'AGNT' - Incorrect agent
- 'CURR' - Incorrect currency
- 'CUTA' - Recall due to investigation request
- 'DNOR' - Debtor bank is not registered
- 'ED05' - Settlement failed
- 'FF01' - Invalid file format
- 'MD01' - No mandate
- 'MD02' - Missing mandatory mandate information
- 'MD06' - Refund request by end customer
- 'SL01' - Specific service offered by debtor agent
- 'UPAY' - Undue payment
- 'BE05' - Incorrect creditor identifier
- Add new optional property
settlement_date_time- This will be populated in webhooks when:
schemeisSEPADirectDebitandtransaction_typeisDirectDebitandinward_outwardisOutwardornull
- This will be populated in webhooks when:
- Add new value to the
17 Jun 2026 v1.56
| Deployment Date | Environment |
|---|---|
| 17 Jun 2026 | UAT |
| 17 Jun 2026 | Production |
Added new error code:
- 4220008
- Error code
4220008has been added with the messageActivation is not available in the current status. This error will be returned when a customer, account, or card cannot be activated.
- Error code
11 Jun 2026 v1.55
| Deployment Date | Environment |
|---|---|
| 12 Jun 2026 | UAT |
| 2 Jul 2026 | Production |
Modified endpoints:
- POST /manage/password - Change password
- The properties
current_passwordandnew_passwordwill have its regular expression updated to:
^(?!.*(.)\1{2,})(?=[A-Za-z0-9!@#$%^&*]+$)^(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])(?=.*[!@#$%^&*])(?=.{15,30}).*$ - The properties
- POST /token - Retrieve a token
- The property
passwordwill have its regular expression updated to:
^(?!.*(.)\1{2,})(?=[A-Za-z0-9!@#$%^&*]+$)^(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])(?=.*[!@#$%^&*])(?=.{15,30}).*$ - The property
22 May 2026 v1.54
| Deployment Date | Environment |
|---|---|
| 26 May 2026 | UAT |
| 26 May 2026 | Production |
Modified error code:
- 4000006
- Error code
4000006will no longer be returned. This will be replaced by error code4220007.
- Error code
Modified webhooks:
- POST User Verification Status
- Add new value
DocumentExpiredtostatusproperty:DocumentExpired- the document previously approved in the user verification has expired.
- Add new value
12 May 2026 v1.53
| Deployment Date | Environment |
|---|---|
| 18 May 2026 | UAT |
| 2 Jun 2026 | Production |
Modified webhook:
- POST User Verification Status
- Add new values to the
reject_reasonlist property:- 'BadRequest|...' — Missing or invalid request data. Additional details follow the prefix ('|').
- 'FailedDependency|...' — A dependency failed during processing. Additional details follow the prefix ('|').
- Add new values to the
15 May 2026 v1.52
| Deployment Date | Environment |
|---|---|
| 20 May 2026 | UAT |
| 4 Jun 2026 | Production |
Modified endpoints:
- POST /customers/{customer_id}/remittance/beneficiaries - Creates a new beneficiary associated with the customer_id
- Property
line_1in AddressExchange model will be set to a maximum of 40 characters. This will only be applicable for beneficiaries being added to vendor TransferMate.
- Property
17 Apr 2026 v1.51
| Deployment Date | Environment |
|---|---|
| 17 Apr 2026 | UAT |
| 17 Apr 2026 | Production |
Modified endpoints:
- POST /control/spend - Add a new control spend group
- PATCH /control/spend/{id} - Update a control spend group
- Get /control/spend/{id} - Retrieves a control spend group
- A new
periodicitiesproperty has been added to the request model, extending the data provided byperiodicitywith additional properties.
- A new
24 Mar 2026 v1.50
| Deployment Date | Environment |
|---|---|
| 14 Apr 2026 | UAT |
| 14 Apr 2026 | Production |
Modified endpoints:
- PUT /customers/{customer_id}/addresses - Update an address of a customer by customer_id
- Properties
type,line_1,city,countryandpostal_codewill be set to mandatory in the request model.
- Properties
24 Mar 2026 v1.49
| Deployment Date | Environment |
|---|---|
| 24 Mar 2026 | UAT |
| 24 Mar 2026 | Production |
Modified endpoints:
- POST /corporates - Creates a new corporate
- Adding a new optional property
parent_corporate_idin model CorporateExchange.
- Adding a new optional property
- PATCH /corporates/{corporate_id} - Update a corporate by corporate_id
- Adding a new optional property
parent_corporate_idin model UpdateCorporateRequest.
- Adding a new optional property
- GET /corporates/{corporate_id} - Retrieve corporate details by corporate_id
- Adding a new property
parent_corporate_idto the response in model CorporateExchange.
- Adding a new property
13 Feb 2026 v1.48
| Deployment Date | Environment |
|---|---|
| 16 Mar 2026 | UAT |
| 16 Mar 2026 | Production |
Modified endpoints:
- POST /customers - Create a new customer
- Property
nationalitywill be set to mandatory in the request model. - Property
identificationswill be set to mandatory in the request model when the customer's kyc_level is set to KYC or KYB. - Property
addresseswill be set to mandatory and must include type Home in the request model when the customer's kyc_level is set to KYC. - Property
birth_countrywill be set to mandatory in the request model when the customer's kyc_level is set to KYC. - Property
risk_profilewill be set to mandatory in the request model when the customer's kyc_level is set to KYC.
- Property
- GET /customers/{customer_id} - Retrieves the details of a customer by customer_id
- Property
nationalitywill be set to mandatory in the response model.
- Property
13 Feb 2026 v1.47
| Deployment Date | Environment |
|---|---|
| 13 Feb 2026 | UAT |
| 13 Feb 2026 | Production |
Modified endpoints:
- POST /customers - Create a new customer
- Property
addressesupdated to optional in the request model when the customer's kyc_level is set to Anonymous or SDD or KYB.
- Property
- GET /customers/{customer_id} - Retrieves the details of a customer by customer_id
- Property
addressesupdated to optional in the response model.
- Property
02 Feb 2026 v1.46
| Deployment Date | Environment |
|---|---|
| 02 Feb 2026 | UAT |
| 02 Feb 2026 | Production |
Modified endpoints:
- PATCH /customers/{customer_id}/addresses - Update a customer address by customer_id
- Address cannot be updated when all the below conditions are met
- User verification journey for programme is enabled AND
- Property
countryis being updated AND - Property
typeis 'Home'
- Response body will contain the validation {"errors":{"Country":["'country' cannot be updated with the provided 'type'."]},"code":4000001}
- Address cannot be updated when all the below conditions are met